summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO21
-rw-r--r--Makefile.am.patch27
-rw-r--r--Makefile.in.patch15
-rw-r--r--PKGBUILD31
4 files changed, 94 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c8448351ff3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = apertium-mk-bg
+ pkgdesc = Apertium language data for the Macedonian-Bulgarian translator.
+ pkgver = 0.2.0
+ pkgrel = 1
+ url = http://apertium.org
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = pkgconfig
+ depends = lttoolbox>=3.2
+ depends = apertium>=3.2
+ depends = vislcg3>=0.9.7.6010
+ source = http://downloads.sourceforge.net/sourceforge/apertium/apertium-mk-bg-0.2.0.tar.gz
+ source = Makefile.am.patch
+ source = Makefile.in.patch
+ md5sums = a0f12e989097c67eb3d3a96e06a0fa38
+ md5sums = b66ee552f3e54e767c052cd36828e667
+ md5sums = cbe4d1dd0f37737b3aa98fdaa3770763
+
+pkgname = apertium-mk-bg
+
diff --git a/Makefile.am.patch b/Makefile.am.patch
new file mode 100644
index 00000000000..d0819346b92
--- /dev/null
+++ b/Makefile.am.patch
@@ -0,0 +1,27 @@
+--- ../apertium-mk-bg-0.2.0/Makefile.am 2010-10-26 13:44:25.000000000 +0200
++++ apertium-mk-bg-0.2.0/Makefile.am 2012-02-09 08:49:22.128894204 +0100
+@@ -77,7 +77,7 @@
+ clean-dicts:
+ touch $(BASENAME).$(LANG1).dix $(BASENAME).$(LANG2).dix $(BASENAME).$(PREFIX1).dix
+ rm $(BASENAME).$(LANG1).dix
+-
++
+ apertium_mk_bgmodesdir=$(prefix)/share/apertium/modes/
+ apertium_mk_bgdir=$(prefix)/share/apertium/apertium-$(PREFIX1)/
+ apertium_mk_bg_DATA=$(PREFIX1).automorf.bin $(PREFIX2).automorf.bin \
+@@ -95,11 +95,11 @@
+ $(PREFIX1).autopgen.bin \
+ $(PREFIX1).mode \
+ $(PREFIX2).mode
+-
++
+ install-data-local:
+ apertium-gen-modes modes.xml apertium-$(PREFIX1)
+- $(INSTALL_DATA) $(PREFIX1).mode $(apertium_mk_bgmodesdir)
+- $(INSTALL_DATA) $(PREFIX2).mode $(apertium_mk_bgmodesdir)
+- $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t1x $(BASENAME).$(PREFIX2).t1x $(apertium_mk_bgdir)
++ $(INSTALL_DATA) $(PREFIX1).mode $(DESTDIR)$(apertium_mk_bgmodesdir)
++ $(INSTALL_DATA) $(PREFIX2).mode $(DESTDIR)$(apertium_mk_bgmodesdir)
++ $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t1x $(BASENAME).$(PREFIX2).t1x $(DESTDIR)$(apertium_mk_bgdir)
+
+ CLEANFILES = -r $(TARGETS_COMMON)
diff --git a/Makefile.in.patch b/Makefile.in.patch
new file mode 100644
index 00000000000..10eeeca7c87
--- /dev/null
+++ b/Makefile.in.patch
@@ -0,0 +1,15 @@
+--- ../apertium-mk-bg-0.2.0/Makefile.in 2010-10-26 13:44:30.000000000 +0200
++++ apertium-mk-bg-0.2.0/Makefile.in 2012-02-09 08:49:07.935637762 +0100
+@@ -515,9 +515,9 @@
+
+ install-data-local:
+ apertium-gen-modes modes.xml apertium-$(PREFIX1)
+- $(INSTALL_DATA) $(PREFIX1).mode $(apertium_mk_bgmodesdir)
+- $(INSTALL_DATA) $(PREFIX2).mode $(apertium_mk_bgmodesdir)
+- $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t1x $(BASENAME).$(PREFIX2).t1x $(apertium_mk_bgdir)
++ $(INSTALL_DATA) $(PREFIX1).mode $(DESTDIR)$(apertium_mk_bgmodesdir)
++ $(INSTALL_DATA) $(PREFIX2).mode $(DESTDIR)$(apertium_mk_bgmodesdir)
++ $(INSTALL_DATA) $(BASENAME).$(PREFIX1).t1x $(BASENAME).$(PREFIX2).t1x $(DESTDIR)$(apertium_mk_bgdir)
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.
+ .NOEXPORT:
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e2ee0a256f3
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,31 @@
+# Contributor: Kevin Brubeck Unhammer <unhammer@gmail.com>
+# Maintainer: Kevin Brubeck Unhammer <unhammer@gmail.com>
+pkgname=apertium-mk-bg
+pkgver=0.2.0
+pkgrel=1
+pkgdesc="Apertium language data for the Macedonian-Bulgarian translator."
+url="http://apertium.org"
+license=('GPL')
+makedepends=('pkgconfig')
+depends=('lttoolbox>=3.2' 'apertium>=3.2' 'vislcg3>=0.9.7.6010')
+arch=('i686' 'x86_64')
+source=("http://downloads.sourceforge.net/sourceforge/apertium/${pkgname}-${pkgver}.tar.gz"
+ "Makefile.am.patch"
+ "Makefile.in.patch")
+md5sums=('a0f12e989097c67eb3d3a96e06a0fa38'
+ 'b66ee552f3e54e767c052cd36828e667'
+ 'cbe4d1dd0f37737b3aa98fdaa3770763')
+
+build() {
+ patch -p0 < Makefile.am.patch
+ patch -p0 < Makefile.in.patch
+
+ mkdir -p "$pkgdir/usr/share/apertium/modes"
+
+ cd "$srcdir/$pkgname-$pkgver"
+
+ export PATH="/usr/bin:${PATH}" # override /usr/local/bin
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir/" install || return 1
+}